Bug 976547 - Problems with memory in new kernel [NEEDINFO]
Problems with memory in new kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 14:47 EDT by merkelbach1r
Modified: 2014-03-17 14:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:42:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: needinfo?


Attachments (Terms of Use)
Output of dmesg (70.36 KB, text/x-log)
2013-06-20 14:47 EDT, merkelbach1r
no flags Details

  None (edit)
Description merkelbach1r 2013-06-20 14:47:34 EDT
Created attachment 763564 [details]
Output of dmesg

Description of problem:
When I rebooted after a kernel update I noticed that my pc used 600 MB of memory. This is usually somewhere between 200 and 230 MB when idle. I rebooted my pc and the memory was 600 MB as well. When I switched back to the old kernel (3.10.0-0.rc6.git0.1) the memory usage went back to normal. I also noticed that there seems to be a message about corrupt memory when booting into to new kernel, but not when booting into the old kernel. I did a memory test and there seems to be nothing wrong with the pc.

Version-Release number:
Kernel: 3.10.0-0.rc6.git0.4.fc20.x86_64

How reproducible:
If I reboot my pc I get the same corrupt memory message and the same high memory usage.

Steps to Reproduce:
Turn on the pc.

Actual results:
High memory usage (3x higher).

Boot log:
         Expecting device dev-mapper-luks\x2d2be772e9\x2d446d...ecc10.device...
         Starting Cryptography Setup for luks-2be772e9-446d-4...47f7839ecc10...
[[32m  OK  [0m] Started Show Plymouth Boot Screen.
         Starting Forward Password Requests to Plymouth...
[[32m  OK  [0m] Started Forward Password Requests to Plymouth.
[[32m  OK  [0m] Reached target Paths.
[[32m  OK  [0m] Found device /dev/mapper/luks-2be772e9-446d-4d72-a7b7-47f7839ecc10.
[[32m  OK  [0m] Started Cryptography Setup for luks-2be772e9-446d-4d72-a7b7-47f7839ecc10.
         Expecting device dev-mapper-luks\x2dd7bb2421\x2dff09\x2d40b8\x2db8d3\x2d372b2d521200.device...
         Starting Cryptography Setup for luks-d7bb2421-ff09-40b8-b8d3-372b2d521200...
[[32m  OK  [0m] Started Forward Password Requests to Plymouth.
         Expecting device dev-mapper-luks\x2d328118e3\x2d0cbf\x2d47a5\x2dabd8\x2d8aa9eaca5e52.device...
         Starting Cryptography Setup for luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52...
[[32m  OK  [0m] Started Forward Password Requests to Plymouth.
[[32m  OK  [0m] Found device /dev/mapper/luks-d7bb2421-ff09-40b8-b8d3-372b2d521200.
[[32m  OK  [0m] Started Cryptography Setup for luks-d7bb2421-ff09-40b8-b8d3-372b2d521200.
[[32m  OK  [0m] Found device /dev/mapper/luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
[[32m  OK  [0m] Started Cryptography Setup for luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
[[32m  OK  [0m] Reached target Encrypted Volumes.
[[32m  OK  [0m] Reached target System Initialization.
[[32m  OK  [0m] Reached target Basic System.
[[32m  OK  [0m] Started dracut initqueue hook.
         Mounting /sysroot...
[[32m  OK  [0m] Mounted /sysroot.
[[32m  OK  [0m] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
[[32m  OK  [0m] Started Reload Configuration from the Real Root.
[[32m  OK  [0m] Reached target Initrd File Systems.
[[32m  OK  [0m] Reached target Initrd Default Target.

Welcome to [0;34mFedora 20 (Rawhide)[0m!

[[32m  OK  [0m] Stopped Switch Root.
[[32m  OK  [0m] Stopped target Switch Root.
[[32m  OK  [0m] Stopped target Initrd File Systems.
[[32m  OK  [0m] Stopped target Initrd Root File System.
         Starting Replay Read-Ahead Data...
         Starting Collect Read-Ahead Data...
[[32m  OK  [0m] Reached target Login Prompts.
[[32m  OK  [0m] Reached target Remote File Systems.
[[32m  OK  [0m] Listening on Delayed Shutdown Socket.
[[32m  OK  [0m] Listening on /dev/initctl Compatibility Named Pipe.
         Starting Create static device nodes in /dev...
         Mounting Debug File System...
         Mounting Huge Pages File System...
         Expecting device dev-disk-by\x2duuid-2be772e9\x2d446d\x2d4d72\x2da7b7\x2d47f7839ecc10.device...
         Expecting device dev-mapper-luks\x2d2be772e9\x2d446d\x2d4d72\x2da7b7\x2d47f7839ecc10.device...
         Expecting device dev-disk-by\x2duuid-d7bb2421\x2dff09\x2d40b8\x2db8d3\x2d372b2d521200.device...
         Expecting device dev-mapper-luks\x2dd7bb2421\x2dff09\x2d40b8\x2db8d3\x2d372b2d521200.device...
[[32m  OK  [0m] Set up automount Arbitrary Executable File Formats File System Automount Point.
         Mounting POSIX Message Queue File System...
[[32m  OK  [0m] Listening on udev Kernel Socket.
[[32m  OK  [0m] Listening on udev Control Socket.
         Starting udev Coldplug all Devices...
[[32m  OK  [0m] Listening on LVM2 metadata daemon socket.
[[32m  OK  [0m] Listening on Device-mapper event daemon FIFOs.
         Starting Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling...
         Expecting device dev-disk-by\x2duuid-328118e3\x2d0cbf\x2d47a5\x2dabd8\x2d8aa9eaca5e52.device...
         Expecting device dev-mapper-luks\x2d328118e3\x2d0cbf\x2d47a5\x2dabd8\x2d8aa9eaca5e52.device...
         Mounting Temporary Directory...
         Expecting device dev-disk-by\x2duuid-0e504bbd\x2d5bae\x2d4482\x2da2ed\x2d0db460c6c8ec.device...
         Expecting device dev-disk-by\x2duuid-8e476d95\x2d4bfb\x2d42ed\x2db043\x2d8a1cfa490616.device...
         Expecting device dev-mapper-luks\x2d8e476d95\x2d4bfb\x2d42ed\x2db043\x2d8a1cfa490616.device...
[[32m  OK  [0m] Stopped Trigger Flushing of Journal to Persistent Storage.
         Stopping Journal Service...
[[32m  OK  [0m] Stopped Journal Service.
         Starting Journal Service...
[[32m  OK  [0m] Started Journal Service.
[[32m  OK  [0m] Started Collect Read-Ahead Data.
[[32m  OK  [0m] Started Replay Read-Ahead Data.
         Starting Load legacy module configuration...
         Starting File System Check on Root Device...
         Starting Apply Kernel Variables...
         Mounting Configuration File System...
[[32m  OK  [0m] Mounted Temporary Directory.
[[32m  OK  [0m] Mounted Debug File System.
[[32m  OK  [0m] Mounted Huge Pages File System.
[[32m  OK  [0m] Mounted POSIX Message Queue File System.
[[32m  OK  [0m] Started udev Coldplug all Devices.
[[32m  OK  [0m] Started Apply Kernel Variables.
[[32m  OK  [0m] Mounted Configuration File System.
         Starting LVM2 metadata daemon...
[[32m  OK  [0m] Started LVM2 metadata daemon.
systemd-fsck[563]: /dev/mapper/luks-d7bb2421-ff09-40b8-b8d3-372b2d521200: schoon, 210143/2048000 bestanden, 1723832/8190464 blokken
[[32m  OK  [0m] Started Create static device nodes in /dev.
[[32m  OK  [0m] Started File System Check on Root Device.
         Starting Remount Root and Kernel File Systems...
         Starting udev Kernel Device Manager...
[[32m  OK  [0m] Started Remount Root and Kernel File Systems.
[[32m  OK  [0m] Started udev Kernel Device Manager.
[[32m  OK  [0m] Started Load legacy module configuration.
[[32m  OK  [0m] Reached target Local File Systems (Pre).
         Starting Configure read-only root support...
[[32m  OK  [0m] Started Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling.
[[32m  OK  [0m] Started Configure read-only root support.
         Starting Load Random Seed...
[[32m  OK  [0m] Started Load Random Seed.
[[32m  OK  [0m] Found device /dev/disk/by-uuid/d7bb2421-ff09-40b8-b8d3-372b2d521200.
[[32m  OK  [0m] Found device WDC_WD3200BEKT-60V5T1.
         Starting Cryptography Setup for luks-2be772e9-446d-4d72-a7b7-47f7839ecc10...
[[32m  OK  [0m] Started Cryptography Setup for luks-2be772e9-446d-4d72-a7b7-47f7839ecc10.
[[32m  OK  [0m] Found device /dev/disk/by-uuid/328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
         Starting Cryptography Setup for luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52...
         Starting Create static device nodes in /dev...
         Starting Load Random Seed...
         Starting Forward Password Requests to Plymouth...
[[32m  OK  [0m] Started Forward Password Requests to Plymouth.
[[32m  OK  [0m] Started Load Random Seed.
[[32m  OK  [0m] Started Create static device nodes in /dev.
[[32m  OK  [0m] Found device WDC_WD3200BEKT-60V5T1.
         Starting File System Check on /dev/disk/by-uuid/0e504bbd-5bae-4482-a2ed-0db460c6c8ec...
[[32m  OK  [0m] Found device /dev/mapper/luks-d7bb2421-ff09-40b8-b8d3-372b2d521200.
systemd-fsck[656]: /dev/sda1: schoon, 349/51200 bestanden, 110533/204800 blokken
[[32m  OK  [0m] Started File System Check on /dev/disk/by-uuid/0e504bbd-5bae-4482-a2ed-0db460c6c8ec.
         Mounting /boot...
[[32m  OK  [0m] Mounted /boot.
[[32m  OK  [0m] Reached target Sound Card.
[[32m  OK  [0m] Found device /dev/disk/by-uuid/8e476d95-4bfb-42ed-b043-8a1cfa490616.
         Starting Cryptography Setup for luks-8e476d95-4bfb-42ed-b043-8a1cfa490616...
         Starting Create static device nodes in /dev...
         Starting Load Random Seed...
[[32m  OK  [0m] Started Load Random Seed.
[[32m  OK  [0m] Started Create static device nodes in /dev.
[[32m  OK  [0m] Found device /dev/mapper/luks-2be772e9-446d-4d72-a7b7-47f7839ecc10.
[[32m  OK  [0m] Started Cryptography Setup for luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
[[32m  OK  [0m] Found device /dev/mapper/luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
         Activating swap /dev/mapper/luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52...
[[32m  OK  [0m] Activated swap /dev/mapper/luks-328118e3-0cbf-47a5-abd8-8aa9eaca5e52.
[[32m  OK  [0m] Reached target Swap.
[[0m[31m*     [0m] (1 of 2) A start job is running for dev-mapper-luks\x2d8e476d95\x2d4bfb\x2d42ed\x2db043\x2d8a1cfa490616.device
[K[[32m  OK  [0m] Found device /dev/mapper/luks-8e476d95-4bfb-42ed-b043-8a1cfa490616.
         Starting File System Check on /dev/mapper/luks-8e476d95-4bfb-42ed-b043-8a1cfa490616...
[[32m  OK  [0m] Started Cryptography Setup for luks-8e476d95-4bfb-42ed-b043-8a1cfa490616.
[[32m  OK  [0m] Reached target Encrypted Volumes.
systemd-fsck[722]: /dev/mapper/luks-8e476d95-4bfb-42ed-b043-8a1cfa490616: schoon, 5716/7847936 bestanden, 4762683/31364608 blokken
[[32m  OK  [0m] Started File System Check on /dev/mapper/luks-8e476d95-4bfb-42ed-b043-8a1cfa490616.
         Mounting /home...
[[32m  OK  [0m] Mounted /home.
[[32m  OK  [0m] Reached target Local File Systems.
         Starting Security Auditing Service...
         Starting Tell Plymouth To Write Out Runtime Data...
         Starting Trigger Flushing of Journal to Persistent Storage...
         Starting Recreate Volatile Files and Directories...
[[32m  OK  [0m] Started Trigger Flushing of Journal to Persistent Storage.
[[32m  OK  [0m] Started Tell Plymouth To Write Out Runtime Data.
[[32m  OK  [0m] Started Security Auditing Service.
[[32m  OK  [0m] Started Recreate Volatile Files and Directories.
[[32m  OK  [0m] Reached target System Initialization.
[[32m  OK  [0m] Reached target Timers.
         Starting Console System Startup Logging...
         Starting Manage Sound Card State (restore and store)...
[[32m  OK  [0m] Started Manage Sound Card State (restore and store).
[[32m  OK  [0m] Reached target Paths.
[[32m  OK  [0m] Listening on PC/SC Smart Card Daemon Activation Socket.
[[32m  OK  [0m] Listening on CUPS Printing Service Sockets.
[[32m  OK  [0m] Listening on RPCbind Server Activation Socket.
[[32m  OK  [0m] Listening on Avahi mDNS/DNS-SD Stack Activation Socket.
[[32m  OK  [0m] Listening on D-Bus System Message Bus Socket.
[[32m  OK  [0m] Reached target Sockets.
[[32m  OK  [0m] Reached target Basic System.
         Starting LSB: Start the ipr init daemon...
         Starting LSB: Start the iprupdate utility...
         Starting firewalld - dynamic firewall daemon...
         Starting Self Monitoring and Reporting Technology (SMART) Daemon...
[[32m  OK  [0m] Started Self Monitoring and Reporting Technology (SMART) Daemon.
         Starting Machine Check Exception Logging Daemon...
         Starting irqbalance daemon...
[[32m  OK  [0m] Started irqbalance daemon.
         Starting Hardware RNG Entropy Gatherer Daemon...
[[32m  OK  [0m] Started Hardware RNG Entropy Gatherer Daemon.
         Starting Initialize hardware monitoring sensors...
         Starting NTP client/server...
         Starting Login Service...
         Starting RealtimeKit Scheduling Policy Service...
         Starting Accounts Service...
         Starting Permit User Sessions...
         Starting Avahi mDNS/DNS-SD Stack...
         Starting System Logging Service...
         Starting D-Bus System Message Bus...
[[32m  OK  [0m] Started D-Bus System Message Bus.
[[32m  OK  [0m] Started Console System Startup Logging.
[[32m  OK  [0m] Started Machine Check Exception Logging Daemon.
[[32m  OK  [0m] Started Permit User Sessions.
         Starting Command Scheduler...
[[32m  OK  [0m] Started Command Scheduler.
         Starting Job spooling tools...
[[32m  OK  [0m] Started Job spooling tools.
         Starting Forward Password Requests to Wall...
         Starting Wait for Plymouth Boot Screen to Quit...
         Starting GNOME Display Manager...
[[32m  OK  [0m] Started System Logging Service.
[[32m  OK  [0m] Started Initialize hardware monitoring sensors.
[[32m  OK  [0m] Stopped Dispatch Password Requests to Console.
         Stopping Forward Password Requests to Plymouth...
[[32m  OK  [0m] Started Login Service.
[[32m  OK  [0m] Started RealtimeKit Scheduling Policy Service.
[[32m  OK  [0m] Stopped Forward Password Requests to Plymouth.
[[32m  OK  [0m] Started GNOME Display Manager.
[[32m  OK  [0m] Started Forward Password Requests to Wall.
[[32m  OK  [0m] Started LSB: Start the ipr init daemon.
[[32m  OK  [0m] Started LSB: Start the iprupdate utility.
         Starting LSB: Start the ipr dump daemon...
[[32m  OK  [0m] Started LSB: Start the ipr dump daemon.
         Starting Authorization Manager...
[[32m  OK  [0m] Started firewalld - dynamic firewall daemon.
         Starting Network Manager...
[[32m  OK  [0m] Started Avahi mDNS/DNS-SD Stack.
Comment 1 Josh Boyer 2013-09-16 08:52:06 EDT
Do you still see this with the latest F20 or rawhide kernels?

The dmesg attached shows the kernel detecting BIOS corruption, and then later an ath9k issue.  The BIOS corruption likely needs to be resolved with an updated BIOS.  The ath9k issue might have been fixed in the meantime.
Comment 2 Fedora End Of Life 2013-09-16 10:13:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Justin M. Forbes 2014-03-17 14:42:07 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.